## python-igraph 0.10.2

=== vendor/source/igraph/doc/CMakeLists.txt ===
# Specify the list of .xml files that are used as-is
set(
  DOCBOOK_SOURCES
  fdl.xml
  gpl.xml
  igraph-docs.xml
  installation.xml
  introduction.xml
  licenses.xml
  pmt.xml
  tutorial.xml
)

# Specify the list of .xxml files that have to be piped through doxrox to
# obtain the final set of .xml files that serve as an input to DocBook
set(
  DOXROX_SOURCES
  adjlist.xxml
  arpack.xxml
  attributes.xxml
  basicigraph.xxml
  bipartite.xxml
  cliques.xxml
  coloring.xxml
  community.xxml
  cycles.xxml
  dqueue.xxml
  embedding.xxml
  error.xxml
  flows.xxml
  foreign.xxml
  generators.xxml
  graphlets.xxml
  heap.xxml
  hrg.xxml
  isomorphism.xxml
  iterators.xxml
  layout.xxml
  matrix.xxml
  memory.xxml
  motifs.xxml
  nongraph.xxml
  operators.xxml
  progress.xxml
  psumtree.xxml
  random.xxml
  separators.xxml
  sparsemat.xxml
  spatialgames.xxml
  stack.xxml
  status.xxml
  structural.xxml
  strvector.xxml
  threading.xxml
  vector.xxml
  vectorlist.xxml
  visitors.xxml
)

# Specify the igraph source files that may contain documentation chunks
file(
  GLOB_RECURSE IGRAPH_SOURCES_FOR_DOXROX
  LIST_DIRECTORIES FALSE
  ${CMAKE_SOURCE_DIR}/include/*.h
  ${CMAKE_BINARY_DIR}/include/*.h
  ${CMAKE_SOURCE_DIR}/src/*.c
  ${CMAKE_SOURCE_DIR}/src/*.cc
  ${CMAKE_SOURCE_DIR}/src/*.cpp
  ${CMAKE_SOURCE_DIR}/src/*.h
  ${CMAKE_SOURCE_DIR}/src/*.pmt
)

# Specify the igraph source files that are used as examples in the
# documentation
file(
  GLOB DOCBOOK_EXAMPLES
  LIST_DIRECTORIES FALSE
  RELATIVE ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/examples/simple/*.c
  ${CMAKE_SOURCE_DIR}/examples/tutorial/*.c
)

# You should not need to change anything below this line if you are simply
# trying to add new files to produce documentation from

# Documentation build requires Python and source-highlight
find_package(Python3)
find_program(SOURCE_HIGHLIGHT_COMMAND source-highlight)

# HTML documentation additionally requires xmlto from DocBook
find_program(XMLTO_COMMAND xmlto)

# PDF documentation additionally requires xsltproc, xmllint and Apache FOP
find_program(FOP_COMMAND fop)
find_program(XMLLINT_COMMAND xmllint)
find_program(XSLTPROC_COMMAND xsltproc)

if(Python3_FOUND AND SOURCE_HIGHLIGHT_COMMAND)
  set(DOC_BUILD_SUPPORTED TRUE)
else()
  set(DOC_BUILD_SUPPORTED FALSE)
endif()

if(DOC_BUILD_SUPPORTED AND XMLTO_COMMAND)
  set(HTML_DOC_BUILD_SUPPORTED TRUE)
else()
  set(HTML_DOC_BUILD_SUPPORTED FALSE)
endif()

if(DOC_BUILD_SUPPORTED AND XMLLINT_COMMAND AND XSLTPROC_COMMAND AND FOP_COMMAND)
  set(PDF_DOC_BUILD_SUPPORTED TRUE)
else()
  set(PDF_DOC_BUILD_SUPPORTED FALSE)
endif()

if(DOC_BUILD_SUPPORTED)
  set(DOXROX_COMMAND ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/doxrox.py)
  set(DOXROX_RULES ${CMAKE_CURRENT_SOURCE_DIR}/c-docbook.re)
  set(DOXROX_CHUNKS ${CMAKE_CURRENT_BINARY_DIR}/chunks.pickle)
  set(DOXROX_CACHE ${CMAKE_CURRENT_BINARY_DIR}/doxrox.cache)

  set(DOCBOOK_INPUTS "")
  set(DOCBOOK_GENERATED_INPUTS "")

  # Specify that each DocBook .xml file is to be copied to the build folder
  # TODO(ntamas): currently this works with out-of-tree builds only
  set(IGRAPH_VERSION ${PACKAGE_VERSION})   # for replacement in igraph-docs.xml
  foreach(DOCBOOK_SOURCE ${DOCBOOK_SOURCES})
    set(DOCBOOK_INPUT "${CMAKE_CURRENT_BINARY_DIR}/${DOCBOOK_SOURCE}")
    list(APPEND DOCBOOK_INPUTS "${DOCBOOK_INPUT}")
    configure_file(${DOCBOOK_SOURCE} ${DOCBOOK_INPUT})
  endforeach()

  # Specify that .xxml files should be piped through doxrox.py to get a
  # DocBook-compatible .xml file. This step inserts the documentation chunks
  # extracted from the igraph source to the DocBook sources
  foreach(DOXROX_SOURCE ${DOXROX_SOURCES})
    string(REGEX REPLACE "[.]xxml$" ".xml" DOXROX_OUTPUT ${DOXROX_SOURCE})
    set(COMMENT "Generating ${DOXROX_OUTPUT} from ${DOXROX_SOURCE}")

    string(PREPEND DOXROX_OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/")
    list(APPEND DOCBOOK_INPUTS "${DOXROX_OUTPUT}")
    list(APPEND DOCBOOK_GENERATED_INPUTS "${DOXROX_OUTPUT}")

    add_custom_command(
      OUTPUT ${DOXROX_OUTPUT}
      COMMAND ${DOXROX_COMMAND}
      ARGS
      -t ${CMAKE_CURRENT_SOURCE_DIR}/${DOXROX_SOURCE}
      --chunks ${DOXROX_CHUNKS}
      -o ${DOXROX_OUTPUT}
      MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/${DOXROX_SOURCE}
      DEPENDS ${DOXROX_CHUNKS}
      COMMENT ${COMMENT}
    )
  endforeach()

  # When all .xxml and .xml files have been processed, we have to send them
  # through a custom Python script that extracts the ID references and produces
  # a ctags-compatible "tags" file. This will then be used later by
  # source-highlight to cross-reference the known tokens from the source code
  # of the examples
  list(JOIN DOCBOOK_GENERATED_INPUTS ";" DOCBOOK_GENERATED_INPUTS_AS_STRING)
  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/tags"
    COMMAND ${CMAKE_COMMAND}
    ARGS
    -DINPUT_FILES="${DOCBOOK_GENERATED_INPUTS_AS_STRING}"
    -DOUTPUT_FILE=${CMAKE_CURRENT_BINARY_DIR}/tags
    -P ${CMAKE_SOURCE_DIR}/etc/cmake/generate_tags_file.cmake
    DEPENDS ${DOCBOOK_GENERATED_INPUTS}
    COMMENT "Creating tags file from DocBook xmls"
  )

  # Specify that each example source file is to be piped through source-higlight
  # to produce an .xml representation that can be used in the DocBook
  # documentation
  foreach(DOCBOOK_EXAMPLE_SOURCE ${DOCBOOK_EXAMPLES})
    string(REGEX REPLACE "[.]c$" ".c.xml" DOCBOOK_EXAMPLE_OUTPUT ${DOCBOOK_EXAMPLE_SOURCE})
    set(COMMENT "Highlighting source code in ${DOCBOOK_EXAMPLE_SOURCE}")

    set(DOCBOOK_EXAMPLE_OUTPUT "${CMAKE_BINARY_DIR}/${DOCBOOK_EXAMPLE_SOURCE}.xml")
    list(APPEND DOCBOOK_INPUTS "${DOCBOOK_EXAMPLE_OUTPUT}")

    get_filename_component(DOCBOOK_EXAMPLE_OUTPUT_DIR "${DOCBOOK_EXAMPLE_OUTPUT}" DIRECTORY)

    add_custom_command(
      OUTPUT ${DOCBOOK_EXAMPLE_OUTPUT}
      COMMAND ${CMAKE_COMMAND} -E make_directory ${DOCBOOK_EXAMPLE_OUTPUT_DIR}
      COMMAND ${Python3_EXECUTABLE}
      ARGS
      ${CMAKE_SOURCE_DIR}/tools/strip_licenses_from_examples.py
      ${CMAKE_SOURCE_DIR}/${DOCBOOK_EXAMPLE_SOURCE}
      ${CMAKE_BINARY_DIR}/${DOCBOOK_EXAMPLE_SOURCE}
      COMMAND ${SOURCE_HIGHLIGHT_COMMAND}
      ARGS
      --src-lang c
      --out-format docbook
      --input ${CMAKE_BINARY_DIR}/${DOCBOOK_EXAMPLE_SOURCE}
      --output ${DOCBOOK_EXAMPLE_OUTPUT}
      --gen-references inline
      --ctags=""
      --outlang-def ${CMAKE_SOURCE_DIR}/doc/docbook.outlang
      MAIN_DEPENDENCY ${CMAKE_SOURCE_DIR}/${DOCBOOK_EXAMPLE_SOURCE}
      DEPENDS tags
      COMMENT ${COMMENT}
    )
  endforeach()

  add_custom_command(
    OUTPUT ${DOXROX_CHUNKS} ${DOXROX_CACHE}
    COMMAND ${DOXROX_COMMAND}
    ARGS
    -e ${DOXROX_RULES}
    -o ${DOXROX_CHUNKS}
    --cache ${DOXROX_CACHE}
    ${IGRAPH_SOURCES_FOR_DOXROX}
    MAIN_DEPENDENCY ${DOXROX_RULES}
    DEPENDS ${IGRAPH_SOURCES_FOR_DOXROX}
    COMMENT "Parsing documentation chunks from source code"
  )

  set(DOCXML_STAMP ${CMAKE_CURRENT_BINARY_DIR}/xmlstamp)
  add_custom_command(
    OUTPUT ${DOCXML_STAMP}
    COMMAND ${CMAKE_COMMAND} -E touch ${DOCXML_STAMP}
    MAIN_DEPENDENCY igraph-docs.xml
    DEPENDS ${DOCBOOK_INPUTS}
  )
  add_custom_target(docxml DEPENDS ${DOCXML_STAMP})

  if(HTML_DOC_BUILD_SUPPORTED)
    set(HTML_STAMP ${CMAKE_CURRENT_BINARY_DIR}/html/stamp)

    add_custom_command(
      OUTPUT ${HTML_STAMP}
      COMMAND ${XMLTO_COMMAND} -x ${CMAKE_CURRENT_SOURCE_DIR}/gtk-doc.xsl -o html xhtml igraph-docs.xml
      COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/html/*.css ${CMAKE_CURRENT_BINARY_DIR}/html
      COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/html/*.js ${CMAKE_CURRENT_BINARY_DIR}/html
      COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/html/*.png ${CMAKE_CURRENT_BINARY_DIR}/html
      COMMAND ${CMAKE_COMMAND} -E touch ${HTML_STAMP}
      MAIN_DEPENDENCY igraph-docs.xml
      # The DEPENDS clause below needs to list both the xmlstamp file and the
      # target that creates it. The former is needed to make Ninja rebuild the
      # HTML files if the source is modified. The latter is needed to make the
      # XCode build system happy.
      DEPENDS ${DOCXML_STAMP} docxml
      COMMENT "Generating HTML documentation with xmlto"
    )

    add_custom_target(html DEPENDS ${HTML_STAMP})
    set(HTML_TARGET html)
  endif()

  if(PDF_DOC_BUILD_SUPPORTED)
    add_custom_command(
      OUTPUT igraph-docs-with-resolved-includes.xml
      COMMAND ${XMLLINT_COMMAND}
      ARGS
      --xinclude
      --output igraph-docs-with-resolved-includes-tmp.xml
      igraph-docs.xml
      COMMAND ${Python3_EXECUTABLE}
      ARGS
      ${CMAKE_SOURCE_DIR}/tools/removeexamples.py
      igraph-docs-with-resolved-includes-tmp.xml
      igraph-docs-with-resolved-includes.xml
      COMMAND ${CMAKE_COMMAND}
      ARGS
      -E remove igraph-docs-with-resolved-includes-tmp.xml
      MAIN_DEPENDENCY igraph-docs.xml
      # The DEPENDS clause below needs to list both the xmlstamp file and the
      # target that creates it. The former is needed to make Ninja rebuild the
      # PDF file if the source is modified. The latter is needed to make the
      # XCode build system happy.
      DEPENDS ${DOCXML_STAMP} docxml
      COMMENT "Resolving includes in DocBook XML source"
    )

    add_custom_command(
      OUTPUT igraph-docs.fo
      COMMAND ${XSLTPROC_COMMAND}
      ARGS
      --output igraph-docs.fo
      --stringparam paper.type A4
      http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
      igraph-docs-with-resolved-includes.xml
      MAIN_DEPENDENCY igraph-docs-with-resolved-includes.xml
      COMMENT "Converting DocBook XML to Apache FOP format"
    )

    add_custom_command(
      OUTPUT igraph-docs.pdf
      COMMAND ${FOP_COMMAND}
      ARGS -fo igraph-docs.fo -pdf igraph-docs.pdf
      MAIN_DEPENDENCY igraph-docs.fo
      COMMENT "Generating PDF documentation with Apache FOP"
    )

    add_custom_target(pdf DEPENDS igraph-docs.pdf)
    set(PDF_TARGET pdf)
  endif()

  add_custom_target(doc DEPENDS ${HTML_TARGET} ${PDF_TARGET})
endif()

set(HTML_DOC_BUILD_SUPPORTED ${HTML_DOC_BUILD_SUPPORTED} PARENT_SCOPE)
set(PDF_DOC_BUILD_SUPPORTED ${PDF_DOC_BUILD_SUPPORTED} PARENT_SCOPE)

=== vendor/source/igraph/vendor/lapack/CMakeLists.txt ===
# Declare the files needed to compile our vendored BLAS copy
add_library(
  blas_vendored
  OBJECT
  EXCLUDE_FROM_ALL
  dscal.c dswap.c lsame.c dnrm2.c daxpy.c dgemv.c dger.c dgemm.c
  dcopy.c dtrmm.c dtrmv.c drot.c ddot.c dasum.c dsymv.c dsyr2k.c dsyr2.c
  dtrsm.c dsyrk.c dtrsv.c idamax.c
  $<TARGET_OBJECTS:f2c_vendored>
)
target_include_directories(
  blas_vendored
  PRIVATE
  $<TARGET_PROPERTY:f2c_vendored,INCLUDE_DIRECTORIES>
)
if (BUILD_SHARED_LIBS)
  set_property(TARGET blas_vendored PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

# Declare the files needed to compile our vendored LAPACK copy
add_library(
  lapack_vendored
  OBJECT
  EXCLUDE_FROM_ALL
  dgeev.c dgebak.c dgebal.c disnan.c dlaisnan.c dgehrd.c dgehd2.c
  dlarf.c iladlc.c iladlr.c dlarfg.c dlapy2.c dlahr2.c dlacpy.c dlarfb.c
  ilaenv.c ieeeck.c iparmq.c dhseqr.c dlahqr.c dlabad.c dlanv2.c dlaqr0.c
  dlaqr3.c dlaqr4.c dlaqr2.c dlaset.c dormhr.c dormqr.c dlarft.c dorm2r.c
  dtrexc.c dlaexc.c dlange.c dlassq.c dlarfx.c dlartg.c dlasy2.c dlaqr5.c
  dlaqr1.c dlascl.c dorghr.c dorgqr.c dorg2r.c dtrevc.c dlaln2.c dladiv.c
  dsyevr.c dlansy.c dormtr.c dormql.c dorm2l.c dstebz.c dlaebz.c dstein.c
  dlagtf.c dlagts.c dlarnv.c dlaruv.c dstemr.c dlae2.c dlaev2.c dlanst.c
  dlarrc.c dlarre.c dlarra.c dlarrb.c dlaneg.c dlarrd.c dlarrk.c dlasq2.c
  dlasq3.c dlasq4.c dlasq5.c dlasq6.c dlasrt.c dlarrj.c dlarrr.c dlarrv.c
  dlar1v.c dlarrf.c dsterf.c dsytrd.c dlatrd.c dsytd2.c dlanhs.c dgeqr2.c
  dtrsen.c dlacn2.c dtrsyl.c dlasr.c dsteqr.c dgeevx.c dtrsna.c dlaqtr.c
  dgetrf.c dgetf2.c dlaswp.c dgetrs.c dgesv.c dpotrf.c dpotf2.c
  xerbla.c len_trim.c
  dlamch.c fortran_intrinsics.c  
  $<TARGET_OBJECTS:f2c_vendored>
)
target_include_directories(
  lapack_vendored
  PRIVATE
  $<TARGET_PROPERTY:f2c_vendored,INCLUDE_DIRECTORIES>
)
if (BUILD_SHARED_LIBS)
  set_property(TARGET lapack_vendored PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

# Declare the files needed to compile our vendored ARPACK copy
add_library(
  arpack_vendored
  OBJECT
  EXCLUDE_FROM_ALL
  dnaupd.c dnaup2.c dgetv0.c dvout.c second.c dmout.c dnaitr.c ivout.c dnapps.c
  dnconv.c dneigh.c dlaqrb.c dngets.c dsortc.c dstatn.c dneupd.c dsaupd.c
  dsaup2.c dsaitr.c dsapps.c dsconv.c dseigt.c dstqrb.c dsgets.c dsortr.c
  dstats.c dseupd.c dsesrt.c
  $<TARGET_OBJECTS:f2c_vendored>
)
target_include_directories(
  arpack_vendored
  PRIVATE
  $<TARGET_PROPERTY:f2c_vendored,INCLUDE_DIRECTORIES>
)
if (BUILD_SHARED_LIBS)
  set_property(TARGET arpack_vendored PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

# Suppress some warnings that occur in the output because we do not want to
# mess around with the source of lapack too much to fix these
if(NOT MSVC)
  target_compile_options(blas_vendored PRIVATE 
    $<$<C_COMPILER_ID:GCC,Clang,AppleClang,IntelLLVM>:-Wno-logical-op-parentheses>
  )
  target_compile_options(lapack_vendored PRIVATE 
    $<$<C_COMPILER_ID:GCC,Clang,AppleClang,IntelLLVM>:-Wno-logical-op-parentheses -Wno-shift-op-parentheses>
  )
endif()

=== debian/changelog ===
python-igraph (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 11:27:51 +0100

=== debian/control ===
Source: python-igraph
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
#               libigraph-dev, FIXME: In the long term debian packaged libigraph should be used instead of a code copy
               pkg-config,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               python3-texttable,
		bison,
		flex,
		libxml2-dev,
		cmake
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://igraph.org/python/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-igraph.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-igraph

Package: python3-igraph
Architecture: any
Depends: python3-texttable,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: High performance graph data structures and algorithms (Python 3)
 Python interface to the igraph high performance graph library, primarily
 aimed at complex network research and analysis.
 .
 Graph plotting functionality is provided by the Cairo library, so make
 sure you install the Python bindings of Cairo if you want to generate
 publication-quality graph plots.
 .
 This package contains the Python 3 version of igraph.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=igraph

# Work around #920337. This is a temporary fix addressing a bug
# in python3-stdlib-extensions, should be removed as soon as it
# has been addressed there.
export PYBUILD_INSTALL_ARGS_python3 := \
  --install-headers=/usr/include/python{version}m

%:
# Ensure that the embedded copy is never used.
	rm -f vendor/texttable.py
	dh $@  --with python3 --buildsystem=pybuild

# Disable the scripts= option in setup.cfg. See #664443.
override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/python3-igraph/usr/bin/igraph
	rmdir $(CURDIR)/debian/python3-igraph/usr/bin/

=== debian/watch ===
version=4
https://pypi.debian.net/igraph/igraph@ANY_VERSION@@ARCHIVE_EXT@

## python-igraph 0.11.4+ds

=== doc/source/requirements.txt ===
pip
wheel
requests>=2.28.1

sphinx-gallery>=0.14.0
sphinx-rtd-theme>=1.3.0
pydoctor>=23.4.0

numpy
scipy
pandas
matplotlib

=== debian/changelog ===
python-igraph (0.11.4+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:22:43 +1100

python-igraph (0.11.4+ds-1build1) noble; urgency=high

  * No change rebuild against libigraph3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:50:33 +0100

python-igraph (0.11.4+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/control:
      - Build-Depends list:
        - python3-graph-tool dependency, neutralize/comment;
        - libigraph-dev, bump minimal version to 0.10.10;
        - pkg-config, rename pkgconf;
      - Build-Depends-Indep list:
        - libjs-jquery-datatables, add;
    - d/patches/*:
      - d/p/debianization-documentation.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 15 Feb 2024 11:49:06 +0000

python-igraph (0.11.3+ds-2) unstable; urgency=medium

  * Debianization:
    - d/control:
      - Build-Depends, python3-graph-tool architecture list, update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 29 Jan 2024 21:48:18 +0000

python-igraph (0.11.3+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/control:
      - Build-Depends, specify libigraph-dev minimal required version;
    - d/patches/*:
      - d/p/upstream-fix-tests_cases-g90edc0a53.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 Nov 2023 10:06:23 +0000

python-igraph (0.11.2+ds-5) unstable; urgency=medium

  * FTBFS fix release.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-tests_cases-g90edc0a53.patch, imported as-is
        from upstream github repository.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 19 Nov 2023 18:18:43 +0000

python-igraph (0.11.2+ds-4) unstable; urgency=medium

  * FTBFS release, fix nonexistent HOME issue.
  * Debianization:
    - d/rules:
      - sphinxdoc machinery, provide a HOME repository;
    - d/clean, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Oct 2023 17:29:22 +0000

python-igraph (0.11.2+ds-3) unstable; urgency=medium

  * FTBFS release, fix sphinxdoc dh load issue.
  * Debianization:
     - d/control:
       - Build-Depends{,-Indep}: move python3-sphinx from
         Build-Depends-Indep to Build-Depends.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Oct 2023 16:11:53 +0000

python-igraph (0.11.2+ds-2) unstable; urgency=medium

  * Debianization:
    - documentation package, initial machinery setup (Closes: #780124);
    - d/copyright, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Oct 2023 12:01:19 +0000

python-igraph (0.11.2+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 17 Oct 2023 09:36:11 +0000

python-igraph (0.10.8+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Testsuite field, neutralize for now;
    - d/tests/{control,check}, provide for now tests written by hand.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 19 Sep 2023 16:28:37 +0000

python-igraph (0.10.8+ds-1) experimental; urgency=medium

  * FIXME release, build against the debian packaged libigraph instead
     of a code copy.
  * Debianization:
    - d/control:
      - Build-Depends:
        - thaw the FIXME placeholder;
        - add packages to fulfill tests;
    - d/copyright:
      - Files-Excluded list, introduce (mainly drop the C igraph library
          source) (Closes: #1047542);
    - d/watch, repack;
    - d/patches/*:
      - d/p/debianization.patch, introduce;
    - d/rules, refresh;
    - d/prepare, remove (obsolete material).

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 18 Sep 2023 17:33:49 +0000

python-igraph (0.10.8-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/control:
      - Uploaders list:
        - remove Hugo Lefeuvre <hle@debian.org> (Closes: #1050270);
        - add myself;
      - Standards-Version, bump to 4.6.2 (no change);
    - d/copyright:
      - main Copyright, refresh;
      - Debian related Copyright, add myself.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Sep 2023 20:58:56 +0000

=== debian/control ===
Source: python-igraph
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jerome Benoit <calculus@rezozer.net>,
 TANIGUCHI Takaki <takaki@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 dh-python,
 python3-sphinx,
 libigraph-dev (>= 0.10.10),
 python3-all-dev,
 python3-setuptools,
 python3-numpy,
 python3-texttable,
 python3-scipy,
 python3-pandas,
 python3-networkx,
# python3-graph-tool [amd64 arm64 s390x ia64 loong64 ppc64 riscv64]
Build-Depends-Indep:
 pydoctor,
 python3-sphinx-gallery,
 python3-sphinx-rtd-theme,
 python3-doc,
 python-scipy-doc,
 python-pandas-doc,
 libjs-jquery-datatables,
 tex-gyre,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 texlive-latex-extra,
 cm-super-minimal,
 latexmk
Standards-Version: 4.6.2
Rules-Requires-Root: no
##Testsuite: autopkgtest-pkg-python
Homepage: https://igraph.org/python/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-igraph.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-igraph

Package: python3-igraph
Architecture: any
Depends: python3-texttable,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: High performance graph data structures and algorithms (Python 3)
 Python interface to the igraph high performance graph library, primarily
 aimed at complex network research and analysis.
 .
 Graph plotting functionality is provided by the Cairo library, so make
 sure you install the Python bindings of Cairo if you want to generate
 publication-quality graph plots.
 .
 This package contains the Python 3 version of igraph.

Package: python-igraph-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: www-browser, pdf-viewer, jupyter-notebook
Enhances: python3-igraph (= ${source:Version})
Description: High performance graph data structures and algorithms (doc)
 Python interface to the igraph high performance graph library, primarily
 aimed at complex network research and analysis.
 .
 Graph plotting functionality is provided by the Cairo library, so make
 sure you install the Python bindings of Cairo if you want to generate
 publication-quality graph plots.
 .
 This package contains documentation for the Python interface of igraph.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
## igraph needs an existing HOME repository.
export HOME=$(CURDIR)/_HOME
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=igraph

PY3DOTVERSION=$(shell py3versions -dv)
DEB_PYTHON_SITE_PKG=/usr/lib/python$(PY3DOTVERSION)/dist-packages

## see README.md for furhter information (2023/09/18)
export IGRAPH_USE_PKG_CONFIG=1

# Work around #920337. This is a temporary fix addressing a bug
# in python3-stdlib-extensions, should be removed as soon as it
# has been addressed there.
export PYBUILD_INSTALL_ARGS_python3 := \
  --install-headers=/usr/include/python{version}m

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

DEB_SPHINXDOC_SRCDIR=$(CURDIR)/doc/source
DEB_SPHINXDOC_BUILDDIR=$(CURDIR)/build/doc
DEB_SPHINXDOC_PKGDOCDIR=/usr/share/doc/python-$(PYBUILD_NAME)-doc
DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/$(DEB_SPHINXDOC_PKGDOCDIR)
DEB_SPHINXDOC_PYTHONPATH=$(CURDIR)/debian/python3-$(PYBUILD_NAME)/$(DEB_PYTHON_SITE_PKG)
DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach
override_dh_sphinxdoc-indep:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(DEB_SPHINXDOC_PYTHONPATH) python3 -m sphinx -T -b latex $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)/latex
	PYTHONPATH=$(DEB_SPHINXDOC_PYTHONPATH) python3 -m sphinx -T -b html $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)/html
	#PYTHONPATH=$(DEB_SPHINXDOC_PYTHONPATH) python3 -m sphinx -T -b man $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)/man
	$(MAKE) -C $(DEB_SPHINXDOC_BUILDDIR)/latex
	## lintian privacy-breach fix
	$(foreach htmlsed,$(wildcard $(DEB_SPHINXDOC_HTMLSEDDIR)/tutorials/*.html.sed), \
		sed -i -f $(htmlsed) $(DEB_SPHINXDOC_BUILDDIR)/html/tutorials/$(notdir $(patsubst %.sed,%,$(htmlsed))) $(NEWLINE)\
		)
	cp -prd -t $(DEB_SPHINXDOC_DOCDIR) $(DEB_SPHINXDOC_BUILDDIR)/latex/igraph.pdf $(DEB_SPHINXDOC_BUILDDIR)/html
	dh_sphinxdoc -O--buildsystem=pybuild $(DEB_SPHINXDOC_PKGDOCDIR)/html
endif

define NEWLINE


endef

## eos

=== debian/tests/control ===
Test-Command: debian/tests/check
Depends:
 python3-igraph,
 python3-scipy, python3-numpy,
 python3-pandas,
 python3-networkx,
 python3-graph-tool [amd64 arm64 ppc64el s390x ia64 ppc64]
Restrictions: allow-stderr

## python-igraph 0.11.5+ds

=== debian/changelog ===
python-igraph (0.11.5+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * No change.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 May 2024 08:39:09 +0000

python-igraph (0.11.5+ds-2) unstable; urgency=medium

  * Technical upload (following a misstep).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 10 May 2024 16:03:24 +0000

python-igraph (0.11.5+ds-1) unstable; urgency=medium

  * New upstream nano version.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - Standards-Version, bump to 4.7.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 10 May 2024 15:44:46 +0000

python-igraph (0.11.4+ds-2) unstable; urgency=medium

  * Team upload.
  * d/tests/control: depend on python3-all to fix testing Python 3.12
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Mar 2024 18:43:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 DEB_SPHINXDOC_SRCDIR=$(CURDIR)/doc/source
 DEB_SPHINXDOC_BUILDDIR=$(CURDIR)/build/doc

## python-igraph 0.11.6+ds

=== debian/changelog ===
python-igraph (0.11.6+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/{rules,adhoc/lintian/privacy-breach/*:
      - privacy-breach fix machinery, refresh;
    - d/patches/*:
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 11 Jul 2024 10:31:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-igraph
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jerome Benoit <calculus@rezozer.net>,
  TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pkgconf,
- dh-python,
+ dh-sequence-python3,
  python3-sphinx,
  libigraph-dev (>= 0.10.10),
  python3-all-dev,
@@ -35,7 +34,7 @@
  texlive-latex-extra,
  cm-super-minimal,
  latexmk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 ##Testsuite: autopkgtest-pkg-python
 Homepage: https://igraph.org/python/

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: debian/tests/check
 Depends:
+ python3-all,
  python3-igraph,
  python3-scipy, python3-numpy,
  python3-pandas,

## python-igraph 0.11.8+ds

=== debian/changelog ===
python-igraph (0.11.8+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * No change.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 May 2024 08:39:09 +0000

python-igraph (0.11.8+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, integrated;
    - d/control:
      - Build-Depends, update wrt PKG-INFO;
    - d/tests/control:
      - Depends, idem.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 10 Nov 2024 15:46:20 +0000

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,16 @@
  libigraph-dev (>= 0.10.10),
  python3-all-dev,
  python3-setuptools,
+ python3-cairocffi,
+ python3-matplotlib,
+ python3-plotly,
  python3-numpy,
  python3-texttable,
  python3-scipy,
  python3-pandas,
  python3-networkx,
-# python3-graph-tool [amd64 arm64 s390x ia64 loong64 ppc64 riscv64]
+# python3-graph-tool [amd64 arm64 s390x ia64 loong64 ppc64 riscv64],
+ python3-pytest-timeout,
 Build-Depends-Indep:
  pydoctor,
  python3-sphinx-gallery,

## python-igraph 0.11.9+ds

=== doc/source/requirements.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 wheel
 requests>=2.28.1
 
+sphinx==7.4.7
 sphinx-gallery>=0.14.0
 sphinx-rtd-theme>=1.3.0
 pydoctor>=23.4.0

=== debian/changelog ===
python-igraph (0.11.9+ds-3) unstable; urgency=medium

  * FTBS fix release, stick to 0.* versions of igraph (Closes: #1117766).
  * Debianization:
    - d/control:
      - Build-Depends, tighten libigraph-dev to (<< 1.0.0).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 12 Oct 2025 23:13:47 +0000

python-igraph (0.11.9+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Aug 2025 18:01:12 +0000

python-igraph (0.11.9+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/control:
      - Standards-Version, bump to 4.7.2 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 15 Jun 2025 18:33:32 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkgconf,
  dh-sequence-python3,
  python3-sphinx,
- libigraph-dev (>= 0.10.10),
+ libigraph-dev (<< 1.0.0),
  python3-all-dev,
  python3-setuptools,
  python3-cairocffi,
@@ -38,7 +38,7 @@
  texlive-latex-extra,
  cm-super-minimal,
  latexmk
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 ##Testsuite: autopkgtest-pkg-python
 Homepage: https://igraph.org/python/

=== debian/tests/control ===
Test-Command: debian/tests/check
Depends:
 python3-all,
 python3-igraph,
 python3-scipy, python3-numpy,
 python3-pandas,
 python3-cairocffi,
 python3-matplotlib,
 python3-plotly,
 python3-networkx,
 python3-graph-tool [amd64 arm64 ppc64el s390x ia64 ppc64],
 python3-pytest-timeout
Restrictions: allow-stderr

## python-igraph 1.0.0+ds

=== doc/source/requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 sphinx-gallery>=0.14.0
 sphinx-rtd-theme>=1.3.0
 pydoctor>=23.4.0
+iplotx>=0.6.8
 
 numpy
 scipy

=== debian/changelog ===
python-igraph (1.0.0+ds-1) unstable; urgency=medium

  * New upstream major version (Closes: #1118044).
  * Debianization:
    - d/control:
      - Build-Depends, tighten libigraph-dev to (>= 1.0.0);
      - Rules-Requires-Root field, obsoleted;
    - d/patches/*:
      - d/p/debianization-documentation-freeze-plot_iplotx.patch, introduce;
    - d/a/lintian/privacy-breach/*:
      - d/a/l/p/tutorials/stochastic_variability.html.sed, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Oct 2025 13:57:57 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkgconf,
  dh-sequence-python3,
  python3-sphinx,
- libigraph-dev (<< 1.0.0),
+ libigraph-dev (>= 1.0.0),
  python3-all-dev,
  python3-setuptools,
  python3-cairocffi,
@@ -39,7 +39,6 @@
  cm-super-minimal,
  latexmk
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 ##Testsuite: autopkgtest-pkg-python
 Homepage: https://igraph.org/python/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-igraph.git

=== debian/watch ===
version=4
opts="repack,repacksuffix=+ds,dversionmangle=s/\+ds[\d]?//,compression=xz" \
	https://pypi.debian.net/igraph/igraph@ANY_VERSION@@ARCHIVE_EXT@
